Package org.pushingpixels.substance.internal.utils.icon

# Class SubstanceIconFactory

java.lang.Object
org.pushingpixels.substance.internal.utils.icon.SubstanceIconFactory

public class SubstanceIconFactory extends Object
Icon factory for dynamically-changing icons. This class is for internal use only.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`SubstanceIconFactory.IconKind`
Icon kind of a title pane button.

## Constructor Summary

Constructors
Constructor
Description
`SubstanceIconFactory()`

## Method Summary

Modifier and Type
Method
Description
`static Icon`
`getSliderHorizontalIcon(int size, boolean isMirrorred)`
Retrieves icon for horizontal slider in `SubstanceSliderUI`.
`static Icon`
`getSliderRoundIcon(int size)`
Retrieves round icon for slider in `SubstanceSliderUI`.
`static Icon`
`getSliderVerticalIcon(int size, boolean isMirrorred)`
Retrieves icon for vertical slider in `SubstanceSliderUI`.
`static Icon`
`getTitlePaneIcon(SubstanceIconFactory.IconKind iconKind, SubstanceColorScheme scheme, SubstanceColorScheme backgroundScheme)`
Returns title pane icon of the specified kind.
`static Icon`
`getTreeIcon(JTree tree, boolean isCollapsed)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceIconFactory

public SubstanceIconFactory()

## Method Details

### getSliderHorizontalIcon

public static Icon getSliderHorizontalIcon(int size, boolean isMirrorred)
Retrieves icon for horizontal slider in `SubstanceSliderUI`.

Parameters:
  `size` - The size of the icon to retrieve.
  `isMirrorred` - Indication whether the icon should be mirrored.
Returns:
  Icon for horizontal slider in `SubstanceSliderUI`.

### getSliderRoundIcon

public static Icon getSliderRoundIcon(int size)
Retrieves round icon for slider in `SubstanceSliderUI`.

Parameters:
  `size` - The size of the icon to retrieve.
Returns:
  Round icon for slider in `SubstanceSliderUI`.

### getSliderVerticalIcon

public static Icon getSliderVerticalIcon(int size, boolean isMirrorred)
Retrieves icon for vertical slider in `SubstanceSliderUI`.

Parameters:
  `size` - The size of the icon to retrieve.
  `isMirrorred` - Indication whether the icon should be mirrored.
Returns:
  Icon for vertical slider in `SubstanceSliderUI`.

### getTreeIcon

public static Icon getTreeIcon(JTree tree, boolean isCollapsed)

### getTitlePaneIcon

public static Icon getTitlePaneIcon(SubstanceIconFactory.IconKind iconKind, SubstanceColorScheme scheme, SubstanceColorScheme backgroundScheme)
Returns title pane icon of the specified kind.

Parameters:
  `iconKind` - Icon kind.
  `scheme` - Color scheme.
Returns:
  Title pane icon of the specified kind.